.select2-container {
    width: 100% !important;
}

.select2-container:invalid .select2-selection, .select2-container.is-invalid .select2-selection {
    border-color: #dc3545;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    top: 6px !important;
}
.buscador .select2-container--default .select2-selection--single .select2-selection__arrow b {
    display: block;
    width: 100%;
    padding: 0.375rem 2.25rem 0.375rem 0.75rem;
    -moz-padding-start: calc(0.75rem - 3px);
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    background-color: transparent;
    background-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/></svg>");
    background-repeat: no-repeat;
    background-position: left 0 center;
    background-size: 16px 12px;       
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border: none!important;
    margin-left: -17px;
    margin-top: -5px;
}
.buscador .select2-selection__clear {
    margin-right: 12px;
    position: relative;
}




.select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 38px;
}

.select2-selection.select2-selection--single {
    height:34px;
    border-radius: 4px;
    line-height: 34px;

}

.select2-selection__choice {
    font-size: 11px;
}

.buscador-caja .select2-container .select2-selection--single {
    /*height: auto;*/
    height:34px;
    border-radius: 4px;
    line-height: 34px;
     border: none; 
}

.select2-container .select2-selection--single {
     border-color: #ced4da; 
}

.select-multiple .select2-selection--multiple {
    min-height: 100px;
}

.select-no-dropdown .select2-dropdown {
    display: none !important;
}

.select2-container .select2-search--inline:only-child {
    float: none !important;
}

/* remove X from locked tag */
.locked-tag .select2-selection__choice__remove{
    display: none!important;
}

/* I suggest to hide  all selected tags from drop down list */
.select2-results__option[aria-selected="true"]{
    display: none;
}

@media only screen and (max-width: 767px) {
    .select2-selection__choice {
        font-size: 22px;
    }
}

/*.bootstrap-select:not([class*="col-"]):not([class*="form-control"]):not(.input-group-btn) {
        width: 300px !important;
}*/

/*.select2-hidden-tags {
        display: none !important;
}*/